#1
  1. No Profile Picture
    Junior Member
    Devshed Newbie (0 - 499 posts)

    Join Date
    May 2000
    Posts
    1
    Rep Power
    0
    I downloaded php4.0 and I'm trying to build it with IMAP suupot, but I get the following error during the configure:

    checking for IMAP support... configure: error: Cannot find imap library. Please check your IMAP installation

    I check my imap libraries and I find them in /usr/include/imap and /usr/lib/, I even tried to edit the configure file to point to the acual directory but nothing works.

    I'm running Redhat 6.2. Can anyone help please.

    PS. I didnt have that problem when I compilied 3.16.

    Thanks.

    YEH.
  2. #2
  3. No Profile Picture
    wangjun
    Guest
    Devshed Newbie (0 - 499 posts)
    I also want to know the answer?
  4. #3
  5. No Profile Picture
    Junior Member
    Devshed Newbie (0 - 499 posts)

    Join Date
    May 2000
    Posts
    27
    Rep Power
    0
    maybe you have to give the path while configuring

    ./configure --with-imap=/your/path/to/imap/libs

    I myself downloaded the IMAP package and compiled it myself. With the configuring of php, i pointed out to the source directory of the IMAP package, and it compiled fine

    Maybe a little fault in Redhat (i use 6.1)
    or a disadvantage of RPM's

    hope to have helped you

    ------------------
    don't blame me, im blond
    :-)
  6. #4
  7. No Profile Picture
    wangjun
    Guest
    Devshed Newbie (0 - 499 posts)
    Where can I find the imap package?
    And I encountered this error message:
    Parse error: parse error, expecting `'}'' in /home/apache/htdocs/mail2/maillist.php on line 38 in which the imap_open() lied.


IMN logo majestic logo threadwatch logo seochat tools logo